Package be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

# Class InstitutionMetadataType

java.lang.Object
be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.InstitutionMetadataType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class InstitutionMetadataType extends Object implements Serializable
Extra informatie over de voorziening waar de bewoner is opgenomen. Deze gegevens zijn voorzien voor toekomstig gebruik. In eerste fase moet dit niet ingevuld worden. Verdere informatie volgt later.

Java class for InstitutionMetadataType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InstitutionMetadataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OperatingSiteID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="CareActivity" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstitutionMetadataType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCareActivity()`
  Zorgactiviteit van de voorziening voor deze opname
  `String`
  `getOperatingSiteID()`
  Uitbatingsplaats van de voorziening voor deze opname
  `void`
  `setCareActivity(String value)`
  Sets the value of the careActivity property.
  `void`
  `setOperatingSiteID(String value)`
  Sets the value of the operatingSiteID property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InstitutionMetadataType

    public InstitutionMetadataType()

- ## Method Details

  - ### getOperatingSiteID

    public String getOperatingSiteID()
    Uitbatingsplaats van de voorziening voor deze opname
    Returns:
      possible object is `String`

  - ### setOperatingSiteID

    public void setOperatingSiteID(String value)
    Sets the value of the operatingSiteID property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getOperatingSiteID()`

  - ### getCareActivity

    public String getCareActivity()
    Zorgactiviteit van de voorziening voor deze opname
    Returns:
      possible object is `String`

  - ### setCareActivity

    public void setCareActivity(String value)
    Sets the value of the careActivity property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareActivity()`